slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDCyclicSetExplicitMatrix

Indicate if the eigensolver operator H(A) = [ 0 A ; A^T 0 ] must be computed explicitly.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDCyclicSetExplicitMatrix(SVD svd,PetscBool explicitmat)

Logically Collective

### Input Parameters

| svd | - singular value solver
| explicitmat | - boolean flag indicating if H(A) is built explicitly

### Options Database Key

| -svd_cyclic_explicitmatrix <boolean> | - Indicates the boolean flag

### See Also

SVDCyclicGetExplicitMatrix()

### Level

advanced

### Location

src/svd/impls/cyclic/cyclic.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages